> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Box Hubs for requesting enterprise

> Retrieves all Box Hubs for a given enterprise.

Admins or Hub Co-admins of an enterprise with GCM scope can make this call.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json GET /enterprise_hubs
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /enterprise_hubs:
    get:
      tags:
        - Box Hubs
      summary: List all Box Hubs for requesting enterprise
      description: >-
        Retrieves all Box Hubs for a given enterprise.


        Admins or Hub Co-admins of an enterprise with GCM scope can make this
        call.
      operationId: get_enterprise_hubs_v2025.0
      parameters:
        - name: query
          in: query
          description: The query string to search for Box Hubs.
          required: false
          schema:
            type: string
          example: Box
        - name: sort
          in: query
          description: >-
            The field to sort results by. Possible values include `name`,
            `updated_at`, `last_accessed_at`, `view_count`, and `relevance`.
            Default is `relevance`.
          required: false
          schema:
            type: string
            default: relevance
          example: name
        - name: direction
          in: query
          description: >-
            The direction to sort results in. This can be either in alphabetical
            ascending (`ASC`) or descending (`DESC`) order.
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
          example: ASC
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Returns all Box Hubs for the given user or enterprise.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Hubs'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: List all Box Hubs for requesting enterprise
          source: >-
            await client.Hubs.GetEnterpriseHubsV2025R0Async(queryParams: new
            GetEnterpriseHubsV2025R0QueryParams() { Sort = "name", Direction =
            GetEnterpriseHubsV2025R0QueryParamsDirectionField.Asc });
        - lang: swift
          label: List all Box Hubs for requesting enterprise
          source: >-
            try await client.hubs.getEnterpriseHubsV2025R0(queryParams:
            GetEnterpriseHubsV2025R0QueryParams(sort: "name", direction:
            GetEnterpriseHubsV2025R0QueryParamsDirectionField.asc))
        - lang: java
          label: List all Box Hubs for requesting enterprise
          source: >-
            client.getHubs().getEnterpriseHubsV2025R0(new
            GetEnterpriseHubsV2025R0QueryParams.Builder().sort("name").direction(GetEnterpriseHubsV2025R0QueryParamsDirectionField.ASC).build())
        - lang: node
          label: List all Box Hubs for requesting enterprise
          source: |-
            await client.hubs.getEnterpriseHubsV2025R0({
              sort: 'name',
              direction: 'ASC' as GetEnterpriseHubsV2025R0QueryParamsDirectionField,
            } satisfies GetEnterpriseHubsV2025R0QueryParams);
        - lang: python
          label: List all Box Hubs for requesting enterprise
          source: |-
            client.hubs.get_enterprise_hubs_v2025_r0(
                sort="name", direction=GetEnterpriseHubsV2025R0Direction.ASC
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    Hubs:
      description: A paginated list of hubs.
      type: object
      allOf:
        - properties:
            entries:
              description: A list of hubs.
              type: array
              items:
                $ref: '#/components/schemas/Hub'
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
      title: Box Hubs
      x-box-resource-id: hubs_v2025.0
      x-box-tag: hubs
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    Hub:
      description: >-
        A standard representation of a Box Hub, as returned from any Box Hubs
        API endpoints by default.
      type: object
      allOf:
        - $ref: '#/components/schemas/Hub--Base'
        - properties:
            title:
              description: The title given to the Box Hub.
              type: string
              example: Contracts
            description:
              description: >-
                The description of the Box Hub. First 200 characters are
                returned.
              type: string
              example: All the contracts for the company.
            created_at:
              description: >-
                The date and time when the folder was created. This value may be
                `null` for some folders such as the root folder or the trash
                folder.
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            updated_at:
              description: The date and time when the Box Hub was last updated.
              type: string
              format: date-time
              example: '2012-12-12T10:53:43Z'
            created_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: The user who created this Box Hub.
            updated_by:
              allOf:
                - $ref: '#/components/schemas/User--Mini'
                - description: The user who last modified this Box Hub.
            view_count:
              description: The number of views for the Box Hub.
              type: integer
              format: int32
              example: 506
            is_ai_enabled:
              description: Indicates if AI features are enabled for the Box Hub.
              type: boolean
              example: true
            is_collaboration_restricted_to_enterprise:
              description: Indicates if collaboration is restricted to the enterprise.
              type: boolean
              example: true
            can_non_owners_invite:
              description: Indicates if non-owners can invite others to the Box Hub.
              type: boolean
              example: true
            can_shared_link_be_created:
              description: Indicates if a shared link can be created for the Box Hub.
              type: boolean
              example: true
            can_public_shared_link_be_created:
              description: >-
                Indicates if a public shared link can be created for the Box
                Hub.
              type: boolean
              example: true
      title: Box Hub
      x-box-resource-id: hub_v2025.0
      x-box-tag: hubs
      x-box-variant: standard
    Hub--Base:
      description: The bare basic representation of a Box Hub.
      type: object
      properties:
        id:
          description: >-
            The unique identifier that represent a Box Hub.


            The ID for any Box Hub can be determined by visiting a Box Hub in
            the web application and copying the ID from the URL. For example,
            for the URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.
          type: string
          example: '12345'
        type:
          description: The value will always be `hubs`.
          type: string
          example: hubs
          enum:
            - hubs
      required:
        - id
        - type
      title: Box Hub (Base)
      x-box-resource-id: hub_v2025.0--base
      x-box-tag: hubs
      x-box-variant: base
      x-box-variants:
        - base
        - standard
    User--Mini:
      description: >-
        A mini representation of a user, as can be returned when nested within
        other resources.
      type: object
      allOf:
        - $ref: '#/components/schemas/User--Base'
        - properties:
            name:
              description: The display name of this user.
              type: string
              example: Aaron Levie
              maxLength: 50
            login:
              description: The primary email address of this user.
              type: string
              format: email
              example: ceo@example.com
      title: User (Mini)
    User--Base:
      description: >-
        A mini representation of a user, used when nested within another
        resource.
      type: object
      properties:
        id:
          description: The unique identifier for this user.
          type: string
          example: '11446498'
        type:
          description: The value will always be `user`.
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: User (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````